!vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvC
!                                                                      C
!  Module name: USR3                                                   C
!  Purpose: This routine is called after the time loop ends and is
!           user-definable.  The user may insert code in this routine
!           or call appropriate user defined subroutines.
!           This routine is not called from an IJK loop, hence
!           all indices are undefined.                                 C
!                                                                      C
!  Author:                                            Date: dd-mmm-yy  C
!  Reviewer:                                          Date: dd-mmm-yy  C
!                                                                      C
!  Revision Number:                                                    C
!  Purpose:                                                            C
!  Author:                                            Date: dd-mmm-yy  C
!  Reviewer:                                          Date: dd-mmm-yy  C
!                                                                      C
!  Literature/Document References:                                     C
!                                                                      C
!  Variables referenced:                                               C
!  Variables modified:                                                 C
!                                                                      C
!  Local variables:                                                    C
!                                                                      C
!^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^C
!
      SUBROUTINE USR3

      USE USR
      USE compar,    ONLY: myPE, PE_IO
      USE constant,  ONLY: C
!     USE run,       ONLY: TIME

      IMPLICIT NONE

!-----------------------------------------------
!
!  Include files defining common blocks here
!
!
!  Define local variables here
!
      INTEGER :: phiii
      DOUBLE PRECISION :: Ncount
!
!  Include files defining statement functions here
!
!
!  Normalize probability distribution and print it
!
 8882 FORMAT (2(E16.8, 2x))

      IF(myPE .NE. PE_IO) RETURN
      OPEN(UNIT=887,FILE='phi_pdf.dat',STATUS='OLD',ACCESS='APPEND')
      Ncount = SUM(ga_phi_pdf(:))
      ga_phi_pdf(:) = ga_phi_pdf(:) / Ncount
      DO phiii = 1, 130
        WRITE(887,8882) DBLE(phiii)*5.0d-3 - 2.5d-3, ga_phi_pdf(phiii)
      ENDDO
      CLOSE(887)

      RETURN
      END SUBROUTINE USR3
